lwIP 2.1.2 Lightweight IP stack

Typedefs | Enumerations | Functions
raw_priv.h File Reference
`#include "lwip/opt.h"`
`#include "lwip/raw.h"`

## Typedefs
typedef enum raw_input_state | raw_input_state_t

## Enumerations
enum | raw_input_state

## Functions
raw_input_state_t | raw_input (struct pbuf *p, struct netif *inp)
void | raw_netif_ip_addr_changed (const ip_addr_t *old_addr, const ip_addr_t *new_addr)

## Detailed Description

raw API internal implementations (do not use in application code)

## Typedef Documentation

## ◆ raw_input_state_t

typedef enum raw_input_state raw_input_state_t

return codes for raw_input

## Enumeration Type Documentation

## ◆ raw_input_state

enum raw_input_state

return codes for raw_input

## Function Documentation

## ◆ raw_input()

raw_input_state_t raw_input | ( | struct pbuf * | p,
|  | struct netif * | inp
| ) |  |

Determine if in incoming IP packet is covered by a RAW PCB and if so, pass it to a user-provided receive callback function.

Given an incoming IP datagram (as a chain of pbufs) this function finds a corresponding RAW PCB and calls the corresponding receive callback function.

Parameters

  p | pbuf to be demultiplexed to a RAW PCB.
  inp | network interface on which the datagram was received.

Returns
  - 1 if the packet has been eaten by a RAW PCB receive callback function. The caller MAY NOT not reference the packet any longer, and MAY NOT call pbuf_free().
  - 0 if packet is not eaten (pbuf is still referenced by the caller).

## ◆ raw_netif_ip_addr_changed()

void raw_netif_ip_addr_changed | ( | const ip_addr_t * | old_addr,
|  | const ip_addr_t * | new_addr
| ) |  |

This function is called from netif.c when address is changed

Parameters

  old_addr | IP address of the netif before change
  new_addr | IP address of the netif after change